Home | All Classes | Grouped Classes | Index | Search

# Class CL_Mouse

Class for handling mouse device. More...

Derived from: none
Derived by: none
Group: Display (Input)

#include <ClanLib/display.h>

Attributes:

get_device_count | Returns the number of mice available.
get_device | Returns a mouse device.
get_x | Returns the x position of a mouse device.
get_y | Returns the y position of a mouse device.
get_keycode | Returns true if the key with the specified key code is pressed.
get_key_name | Key name for specified identifier (Mouse Left, Mouse Right).

Operations:

set_position | Sets the position of a mouse device.
set_cursor | Set a custom mouse cursor.
show | Shows the mouse cursor.
hide | Hides the mouse cursor.

Signals:

sig_key_down | Signal emitted when mouse is pressed on the specified mouse.
sig_key_up | Signal emitted when mouse is released on the specified mouse.
sig_key_dblclk | Signal emitted when mouse is double-clicked on the specified mouse.
sig_move | Signal emitted when specified mouse is moved.

Detailed description:

!group=Display/Input! !header=display.h!
Questions or comments, write to the ClanLib mailing list.